tools/gnome-panel-control/gnome-panel-control
bin_SCRIPTS = \
+ data/xsession/openbox-session \
data/xsession/openbox-gnome-session \
data/xsession/openbox-kde-session
@$(edit) $< >$@
@chmod a+x $@
+data/xsession/openbox-session: \
+ $(srcdir)/data/xsession/openbox-session.in
+ @echo make: creating $@
+ @mkdir data 2>/dev/null || true
+ @mkdir data/xsession 2>/dev/null || true
+ @$(edit) $< >$@
+ @chmod a+x $@
+
doc/openbox.1.in: $(srcdir)/doc/openbox.1.sgml
@echo make: creating $@
@mkdir doc 2>/dev/null || true
data/rc.xsd \
data/menu.xsd \
data/themerc.xsd \
+ data/xsession/openbox-session.in \
data/xsession/openbox-gnome-session.in \
data/xsession/openbox-kde-session.in \
render/obrender-3.0.pc.in \
--- /dev/null
+#!/bin/sh
+
+AUTOSTART="$HOME/.config/openbox/autostart"
+
+if test -e $AUTOSTART; then
+ # sleep for 1 second so Openbox is there before anything else
+ (sleep 1 && . $AUTOSTART) &
+fi
+
+exec @bindir@/openbox "$@"
for you.
.PP
The default configuration files are installed in
-@configdir@/openbox/, and the user configuration is placed in
-~/.config/openbox/. You can copy the default configuration
+@configdir@/openbox/rc.xml, and the user configuration is placed in
+~/.config/openbox/rc.xml. You can copy the default configuration
to ~/.config/openbox and edit it to your liking.
-.PP
-There are 3 default configuration files, \fBrc.xml\fP,
-\fBrc-gnome.xml\fP, and \fBrc-kde.xml\fP. The
-rc-gnome.xml is used when you run
-\fBopenbox-gnome-session\fR and the rc-kde.xml is used when
-you run \fBopenbox-kde-session\fR. The configuration
-files should be named the same in ~/.config/openbox/.
.SH "OPTIONS"
.PP
These are the possible options that \fBopenbox\fR accepts:
.PP
Please report bugs to: \fBhttp://bugzilla.icculus.org/
\fP
-.\" created by instant / docbook-to-man, Sun 13 May 2007, 20:34
+.\" created by instant / docbook-to-man, Mon 14 May 2007, 17:39